import sqlalchemy as sa
from efa.model.resultindicators import ResultIndicators

'''
class PweRiIndustry(Base):
    """PWE specific Resultindicators. Adds some local fields.
    """
    __tablename__ = 'pwe_ri_industry'

    # Status of the outputindicators
    id = sa.Column(sa.Integer, primary_key=True)
    value = sa.Column('value', sa.String)

    def __str__(self):
        return self.value
'''


class PWEResultIndicators(ResultIndicators):
    participation = sa.orm.relation(
        "Participation",
        enable_typechecks=False,
        backref=sa.orm.backref("pweri",
                               uselist=False,
                               cascade="all"))

    after_care = sa.Column('after_care', sa.Integer)
    after_care_professional_integration = sa.Column('after_care_professional_integration', sa.Integer)
    base_modules_orientation = sa.Column('base_modules_orientation', sa.String, nullable=False, default='')
    base_modules_orientation_text = sa.Column('base_modules_orientation_text', sa.Text, nullable=False, default='')
    competence_training = sa.Column('competence_training', sa.String, nullable=False, default='')
    competence_training_text = sa.Column('competence_training_text', sa.Text, nullable=False, default='')
    hdl_imaginable = sa.Column('hdl_imaginable', sa.Integer)
    hdl_integration = sa.Column('hdl_integration', sa.Integer)
    hdl_integration_misc = sa.Column('hdl_integration_misc', sa.Integer)
    hdl_used = sa.Column('hdl_used', sa.Integer)
    integration_measure = sa.Column('integration_measure', sa.String, nullable=False, default='')
    integration_measure_text = sa.Column('integration_measure_text', sa.String, nullable=False, default='')
    integration_sector = sa.Column('integration_sector', sa.Integer)
    labor_market_related_competence_training = sa.Column('labor_market_related_competence_training', sa.String, nullable=False, default='')
    labor_market_related_competence_training_text_text = sa.Column('labor_market_related_competence_training_text_text', sa.Text, nullable=False, default='')
    matched_origin_profession = sa.Column('matched_origin_profession', sa.String, nullable=False, default='')
    matched_qualifications = sa.Column('matched_qualifications', sa.String, nullable=False, default='')
    minijob_to_si = sa.Column('minijob_to_si', sa.Integer)
    partner_integrated = sa.Column('partner_integrated', sa.Integer)
    partner_integration_imaginable = sa.Column('partner_integration_imaginable', sa.Integer)
    permanent_contract = sa.Column('permanent_contract', sa.Integer)
    professional_integration = sa.Column('professional_integration', sa.Integer)
    pwe_online_participation_success = sa.Column('pwe_online_participation_success', sa.Integer)
    pwe_online_participation_qualified = sa.Column('pwe_online_participation_qualified', sa.Integer)
    pwe_online_self_study = sa.Column('pwe_online_self_study', sa.Integer)
    qualification_pwe = sa.Column('qualification_pwe', sa.Integer)
    volume_of_acquisition = sa.Column('volume_of_acquisition', sa.Integer)
    volume_of_employment = sa.Column('volume_of_employment', sa.Integer)
    end_measure_project_stay = sa.Column('end_measure_project_stay', sa.String, nullable=False, default='')
    end_measure_others1 = sa.Column('end_measure_others1', sa.String)
    end_measure_others2 = sa.Column('end_measure_others2', sa.String)
    end_measure_others3 = sa.Column('end_measure_others3', sa.String)
    end_measure_others4 = sa.Column('end_measure_others4', sa.String)
    end_measure_others5 = sa.Column('end_measure_others5', sa.String)
    end_measure_others6 = sa.Column('end_measure_others6', sa.String)
    end_measure_others7 = sa.Column('end_measure_others7', sa.String)
    end_measure_others8 = sa.Column('end_measure_others8', sa.String)
    end_measure_others9 = sa.Column('end_measure_others9', sa.String)
    end_measure_others1_duration = sa.Column('end_measure_others1_duration', sa.Integer)
    end_measure_others2_duration = sa.Column('end_measure_others2_duration', sa.Integer)
    end_measure_others3_duration = sa.Column('end_measure_others3_duration', sa.Integer)
    end_measure_others4_duration = sa.Column('end_measure_others4_duration', sa.Integer)
    end_measure_others5_duration = sa.Column('end_measure_others5_duration', sa.Integer)
    end_measure_others6_duration = sa.Column('end_measure_others6_duration', sa.Integer)
    end_measure_others7_duration = sa.Column('end_measure_others7_duration', sa.Integer)
    end_measure_others8_duration = sa.Column('end_measure_others8_duration', sa.Integer)
    end_measure_others9_duration = sa.Column('end_measure_others9_duration', sa.Integer)

    # fp2 fields
    reason_early_exit = sa.Column('reason_early_exit', sa.Integer)
    pwe_online_participation_success_fp2 = sa.Column(
        'pwe_online_participation_success_fp2', sa.Integer)
    hdl_integration_fp2 = sa.Column('hdl_integration_fp2', sa.Integer)
    hdl_integration_misc_fp2 = sa.Column(
        'hdl_integration_misc_fp2', sa.Integer)
    integration_sector_fp2 = sa.Column('integration_sector_fp2', sa.Integer)
    integration_sector_fp2_erzieherin = sa.Column(
        'integration_sector_fp2_erzieherin', sa.Integer)
    integration_sector_fp2_nurse = sa.Column(
        'integration_sector_fp2_nurse', sa.Integer)
    matched_origin_profession_fp2 = sa.Column(
        'matched_origin_profession_fp2', sa.Integer)
    matched_qualifications_fp2 = sa.Column('matched_qualifications_fp2',
                                           sa.Integer)
    participation_hdl_grant_model_fp2 = sa.Column(
        'participation_hdl_grant_model_fp2', sa.Integer)
