#!/usr/bin/env python
# encoding: utf-8
"""Call handle_formvalidate with ff validators."""
from pyramid import testing
from efa.scripts.participations_validate import handle_formvalidate
import pwe.lib.validators as pwe_validators


def add_validate_parser(subparsers, parent):
    """add parser"""
    validate_parser = subparsers.add_parser(
        "validate", parents=[parent],
        help="Validate participations with FF validators")
    validate_parser.set_defaults(func=handle_validate)


def handle_validate(args):
    "add FF validators"
    args.datatype = "participations"
    args.clazz = "model.participation.PWEParticipation"
    dummy_request = get_dummy_request()
    validators = pwe_validators.get_eligibility_validators(dummy_request)
    handle_formvalidate(args, validators)


def get_dummy_request():
    """Get dummy request with translate dummy and matched_route empty."""
    dummy_request = testing.DummyRequest()
    dummy_request.matched_route = ""
    dummy_request.translate = lambda x: x
    return dummy_request
